View Issue Details

IDProjectCategoryView StatusLast Update
0011315Contributor Builds[All Projects] Generalpublic2013-01-02 12:52
ReporterJLuc Assigned Tocezaryece  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformOSOS Versionnumeration git
Summary0011315: [Patch] Improvement on "Paragraph Effect" tab in PP
DescriptionThis patch improves the layout and the labels for the widgets in the "Paragraph effects" tab in the PP.

It was done "numeration" on git branch based on the last 0f8315f9ee8bae79dfe870ea7113d8274dc4040b commit done saturday 29th december 11h58

Only 2 files are changed :

Mostly : /Scribus/scribus/ui/propertywidget_pareffectbase.ui
for the layout of the widgets and their labels

and 2 or 3 strings are also changed in : changes/Scribus/scribus/ui/propertywidget_pareffect.cpp

Please try it and have a look at the "par effects" tab of the PP : i think it's clean. Maybe worth merging into your branch !
TagsNo tags attached.
Patch

Relationships

related to 0011277 closed Scribus [OBSOLETE][patch] numeration and bullets 

Activities

JLuc

2012-12-30 17:20

updater  

propertywidget_pareffectbase.ui (7,521 bytes)

JLuc

2012-12-30 17:21

updater  

propertywidget_pareffect.cpp (18,402 bytes)

JLuc

2012-12-30 17:42

updater   ~0029540

Last edited: 2012-12-30 17:43

View 4 revisions

I upload .patch too.
Changes in the .UI look big because i modified the listing order of the widgets so as to have them fit according to their real row and column order.

JLuc

2012-12-30 17:42

updater  

Improve-%22Paragraph-effect%22-tab-in-the-PP.patch (12,325 bytes)
From 237d9b4aef4f4f521ff75940eb32fddd26e1c701 Mon Sep 17 00:00:00 2001
From: JLuc <jluc@no-log.org>
Date: Sun, 30 Dec 2012 18:32:37 +0100
Subject: [PATCH] Improve "Paragraph effect" tab in the PP

---
 Scribus/scribus/ui/propertywidget_pareffect.cpp    |   12 +-
 Scribus/scribus/ui/propertywidget_pareffectbase.ui |  230 +++++++++++---------
 2 files changed, 131 insertions(+), 111 deletions(-)

diff --git a/Scribus/scribus/ui/propertywidget_pareffect.cpp b/Scribus/scribus/ui/propertywidget_pareffect.cpp
index a858817..04ec86b 100644
--- a/Scribus/scribus/ui/propertywidget_pareffect.cpp
+++ b/Scribus/scribus/ui/propertywidget_pareffect.cpp
@@ -552,12 +552,12 @@ void PropertyWidget_ParEffect::handleChanges(PageItem *item, ParagraphStyle &new
 void PropertyWidget_ParEffect::languageChange()
 {
 	fillPECombo();
-	dropCapLinesLabel->setText(tr("Drop Caps lines"));
-	peOffsetLabel->setText(tr("Paragraph Effect offset"));
-	peCharStyleLabel->setText(tr("Pargraph Effect style..."));
-	peCharStyleCombo->setToolTip("<qt>" + tr("Choose chracter style or leave blank for use default paragraph style"));
-	bulletCharTableButton_->setToolTip(tr("Enhanced Char Table for inserting customs chars as bullets"));
-	bulletCharTableButton_->setText(tr("Char Table"));
+	dropCapLinesLabel->setText(tr("Lines"));
+	peOffsetLabel->setText(tr("Offset"));
+	peCharStyleLabel->setText(tr("Char style  "));
+	peCharStyleCombo->setToolTip("<qt>" + tr("Choose character style or leave blank to use default paragraph style"));
+	bulletCharTableButton_->setToolTip(tr("Enhanced char table to choose bullet chars"));
+	bulletCharTableButton_->setText(tr("Char table"));
 }
 
 void PropertyWidget_ParEffect::openEnhanced()
diff --git a/Scribus/scribus/ui/propertywidget_pareffectbase.ui b/Scribus/scribus/ui/propertywidget_pareffectbase.ui
index 9f922a2..a937953 100644
--- a/Scribus/scribus/ui/propertywidget_pareffectbase.ui
+++ b/Scribus/scribus/ui/propertywidget_pareffectbase.ui
@@ -1,5 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <ui version="4.0">
+
  <class>PropertyWidget_ParEffectBase</class>
  <widget class="QFrame" name="PropertyWidget_ParEffectBase">
   <property name="geometry">
@@ -10,43 +11,67 @@
     <height>506</height>
    </rect>
   </property>
+
   <property name="windowTitle">
    <string>Form</string>
   </property>
+
   <layout class="QGridLayout" name="gridLayout" columnstretch="0,0">
-   <item row="7" column="0" colspan="2">
+
+   <item row="2" column="0" colspan="2">
+    <widget class="QComboBox" name="peCombo"/>
+   </item>
+
+   <item row="4" column="0" colspan="2">
+    <widget class="QGroupBox" name="dropCapsGroup">
+     <property name="title">
+      <string>Drop Caps</string>
+     </property>
+     <layout class="QHBoxLayout" name="horizontalLayout">
+      <item>
+       <widget class="QLabel" name="dropCapLinesLabel">
+        <property name="toolTip">
+         <string>Number of lines used by the drop cap</string>
+        </property>
+        <property name="text">
+         <string>Height</string>
+        </property>
+       </widget>
+      </item>
+      <item>
+       <widget class="QSpinBox" name="dropCapLines"/>
+      </item>
+     </layout>
+    </widget>
+   </item>
+
+   <item row="7" column="0" colspan="4">
     <widget class="QGroupBox" name="bullGroup">
      <property name="title">
       <string>Bulleted List</string>
      </property>
      <layout class="QGridLayout" name="gridLayout_3">
-      <item row="2" column="1">
-       <widget class="QPushButton" name="bulletCharTableButton_">
-        <property name="sizePolicy">
-         <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
-          <horstretch>0</horstretch>
-          <verstretch>0</verstretch>
-         </sizepolicy>
-        </property>
+      <item row="0" column="0">
+       <widget class="QLabel" name="bulletCharLabel">
         <property name="text">
-         <string>Char Table</string>
+         <string>Bullet char(s)</string>
         </property>
-        <property name="checkable">
-         <bool>true</bool>
+        <property name="buddy">
+         <cstring>bulletStrEdit_</cstring>
         </property>
        </widget>
       </item>
-      <item row="0" column="1">
+      <item row="0" column="1"  colspan="2">
        <widget class="QComboBox" name="bulletStrEdit_">
         <property name="sizePolicy">
          <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
-          <horstretch>0</horstretch>
+          <horstretch>100</horstretch>
           <verstretch>0</verstretch>
          </sizepolicy>
         </property>
         <property name="minimumSize">
          <size>
-          <width>50</width>
+          <width>200</width>
           <height>0</height>
          </size>
         </property>
@@ -55,88 +80,27 @@
         </property>
        </widget>
       </item>
-      <item row="0" column="0">
-       <widget class="QLabel" name="bulletCharLabel">
-        <property name="text">
-         <string>Bullet Char/String</string>
-        </property>
-        <property name="buddy">
-         <cstring>bulletStrEdit_</cstring>
-        </property>
-       </widget>
-      </item>
-     </layout>
-    </widget>
-   </item>
-   <item row="12" column="0" colspan="2">
-    <widget class="QGroupBox" name="peGroup">
-     <property name="title">
-      <string>Effect Parameters</string>
-     </property>
-     <layout class="QGridLayout" name="gridLayout_4">
-      <item row="0" column="0">
-       <widget class="QCheckBox" name="peIndent_">
-        <property name="text">
-         <string>AutoIndent</string>
-        </property>
-       </widget>
-      </item>
-      <item row="0" column="1">
-       <widget class="QLabel" name="peOffsetLabel">
-        <property name="text">
-         <string>Offset</string>
-        </property>
-        <property name="buddy">
-         <cstring>peOffset_</cstring>
-        </property>
-       </widget>
-      </item>
-      <item row="1" column="1">
-       <widget class="ScrSpinBox" name="peOffset_">
-        <property name="minimum">
-         <double>-99.989999999999995</double>
+      <item row="0" column="3">
+       <widget class="QPushButton" name="bulletCharTableButton_">
+        <property name="sizePolicy">
+         <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
+          <horstretch>0</horstretch>
+          <verstretch>0</verstretch>
+         </sizepolicy>
         </property>
-       </widget>
-      </item>
-      <item row="2" column="0" colspan="2">
-       <widget class="QLabel" name="peCharStyleLabel">
         <property name="text">
-         <string>Use Character Style</string>
-        </property>
-        <property name="buddy">
-         <cstring>peCharStyleCombo</cstring>
-        </property>
-       </widget>
-      </item>
-      <item row="3" column="0" colspan="2">
-       <widget class="CharStyleComboBox" name="peCharStyleCombo"/>
-      </item>
-     </layout>
-    </widget>
-   </item>
-   <item row="4" column="0" colspan="2">
-    <widget class="QGroupBox" name="dropCapsGroup">
-     <property name="title">
-      <string>Drop Caps</string>
-     </property>
-     <layout class="QHBoxLayout" name="horizontalLayout">
-      <item>
-       <widget class="QLabel" name="dropCapLinesLabel">
-        <property name="toolTip">
-         <string>Number of lines used by the drop cap</string>
+         <string>Char Table</string>
         </property>
-        <property name="text">
-         <string>Height</string>
+        <property name="checkable">
+         <bool>true</bool>
         </property>
        </widget>
       </item>
-      <item>
-       <widget class="QSpinBox" name="dropCapLines"/>
-      </item>
      </layout>
     </widget>
    </item>
-   <item row="8" column="0" rowspan="2" colspan="2">
+
+   <item row="8" column="0" rowspan="2" colspan="4">
     <widget class="QGroupBox" name="numGroup">
      <property name="title">
       <string>Numbered List</string>
@@ -152,17 +116,17 @@
       <item row="0" column="1">
        <widget class="QComboBox" name="numComboBox"/>
       </item>
-      <item row="1" column="0">
+      <item row="0" column="2">
        <widget class="QLabel" name="numFormatLabel">
         <property name="text">
-         <string>Nums Format</string>
+         <string>Format</string>
         </property>
         <property name="buddy">
          <cstring>numFormatCombo</cstring>
         </property>
        </widget>
       </item>
-      <item row="1" column="1">
+      <item row="0" column="3">
        <widget class="QComboBox" name="numFormatCombo">
         <property name="sizePolicy">
          <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
@@ -172,7 +136,7 @@
         </property>
        </widget>
       </item>
-      <item row="2" column="0">
+      <item row="1" column="0">
        <widget class="QLabel" name="numLevelLabel">
         <property name="text">
          <string>Level</string>
@@ -182,20 +146,21 @@
         </property>
        </widget>
       </item>
-      <item row="2" column="1">
+      <item row="1" column="1">
+       <widget class="QSpinBox" name="numLevelSpin"/>
+      </item>
+      <item row="1" column="2">
        <widget class="QLabel" name="numStartLabel">
         <property name="text">
          <string>Start with</string>
         </property>
        </widget>
       </item>
-      <item row="3" column="0">
-       <widget class="QSpinBox" name="numLevelSpin"/>
-      </item>
-      <item row="3" column="1">
+      <item row="1" column="3">
        <widget class="QSpinBox" name="numStart"/>
       </item>
-      <item row="4" column="0">
+
+      <item row="2" column="0">
        <widget class="QLabel" name="numPrefixLabel">
         <property name="text">
          <string>Prefix</string>
@@ -205,7 +170,12 @@
         </property>
        </widget>
       </item>
-      <item row="4" column="1">
+
+      <item row="2" column="1">
+       <widget class="QLineEdit" name="numPrefix"/>
+      </item>
+
+	  <item row="2" column="2">
        <widget class="QLabel" name="numSuffixLabel">
         <property name="text">
          <string>Suffix</string>
@@ -215,18 +185,68 @@
         </property>
        </widget>
       </item>
-      <item row="5" column="0">
-       <widget class="QLineEdit" name="numPrefix"/>
-      </item>
-      <item row="5" column="1">
+
+      <item row="2" column="3">
        <widget class="QLineEdit" name="numSuffix"/>
       </item>
      </layout>
     </widget>
    </item>
-   <item row="2" column="0" colspan="2">
-    <widget class="QComboBox" name="peCombo"/>
+
+   <item row="11" column="0" colspan="4">
+    <widget class="QGroupBox" name="peGroup">
+     <property name="title">
+      <string>Parameters</string>
+     </property>
+     <layout class="QGridLayout" name="gridLayout_4">
+      <item row="0" column="0" colspan="2">
+       <widget class="QCheckBox" name="peIndent_">
+        <property name="text">
+         <string>Indent</string>
+        </property>
+       </widget>
+      </item>
+      <item row="0" column="2">
+       <widget class="QLabel" name="peOffsetLabel">
+        <property name="text">
+         <string>Offset</string>
+        </property>
+        <property name="buddy">
+         <cstring>peOffset_</cstring>
+        </property>
+       </widget>
+      </item>
+      <item row="0" column="3">
+       <widget class="ScrSpinBox" name="peOffset_">
+        <property name="minimum">
+         <double>-99.989999999999995</double>
+        </property>
+	    <property name="minimumSize">
+         <size>
+          <width>100</width>
+          <height>0</height>
+         </size>
+        </property>
+       </widget>
+      </item>
+      <item row="1" column="0" colspan="2">
+       <widget class="QLabel" name="peCharStyleLabel">
+        <property name="text">
+         <string>Char style</string>
+        </property>
+        <property name="buddy">
+         <cstring>peCharStyleCombo</cstring>
+        </property>
+       </widget>
+      </item>
+      <item row="1" column="2" colspan="2">
+       <widget class="CharStyleComboBox" name="peCharStyleCombo"/>
+      </item>
+     </layout>
+    </widget>
    </item>
+
+
   </layout>
  </widget>
  <customwidgets>
-- 
1.7.9.5

JLuc

2012-12-31 13:27

updater  

JLuc

2012-12-31 13:29

updater  

JLuc

2012-12-31 13:30

updater   ~0029559

And some screen captures now

cezaryece

2013-01-02 12:52

developer   ~0029578

Proposal is included in new numeration6.patch.

Issue History

Date Modified Username Field Change
2012-12-30 17:20 JLuc New Issue
2012-12-30 17:20 JLuc File Added: propertywidget_pareffectbase.ui
2012-12-30 17:21 JLuc File Added: propertywidget_pareffect.cpp
2012-12-30 17:42 JLuc Note Added: 0029540
2012-12-30 17:42 JLuc File Added: Improve-%22Paragraph-effect%22-tab-in-the-PP.patch
2012-12-30 17:42 JLuc Note Edited: 0029540 View Revisions
2012-12-30 17:43 JLuc Note Edited: 0029540 View Revisions
2012-12-30 17:43 JLuc Note Edited: 0029540 View Revisions
2012-12-31 13:27 JLuc File Added: ENUM patched Paragraph Effect subtab in PP.png
2012-12-31 13:29 JLuc File Added: BULLET paragraph effects subtab.png
2012-12-31 13:30 JLuc Note Added: 0029559
2013-01-02 12:48 cezaryece Relationship added related to 0011277
2013-01-02 12:52 cezaryece Note Added: 0029578
2013-01-02 12:52 cezaryece Status new => closed
2013-01-02 12:52 cezaryece Assigned To => cezaryece
2013-01-02 12:52 cezaryece Resolution open => fixed